Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158205 - fix MARK message interval logging
Summary: fix MARK message interval logging
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: sysklogd
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Vas Dias
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-19 15:51 UTC by Jason Vas Dias
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: 1.4.1-30
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-05 00:03:46 UTC


Attachments (Terms of Use)

Description Jason Vas Dias 2005-05-19 15:51:57 UTC
Description of problem:

The fix for bug 152319 took do_mark() processing out of the
signal handler, but made it the last thing to do in the select()
loop, AFTER the test:
   if ( n_fds == 0 )
   {  ...
      continue;
   }
this means that do_mark() was hardly ever called .
Moving the do_mark processing before the ( n_fds == 0 ) in the
select() loop.

Version-Release number of selected component (if applicable):
sysklogd-1.4.1-28_FC4

How reproducible:
100%

Steps to Reproduce:
1. put -m N (N > 0) in /etc/sysconfig/syslog
 
Actual results:
MARK messages do not appear until a different message is logged.

Expected results:
MARK messages should appear every N seconds.

Additional info:
Reported by email from a Motorola customer who wishes email to
remain out of Bugzilla.

Comment 1 Jason Vas Dias 2005-05-19 15:52:41 UTC
fixed with sysklogd-1.4.1-30 .

Comment 2 Jason Vas Dias 2005-05-19 16:01:59 UTC
Clarification: the -m N mark interval is in minutes, not seconds.



Note You need to log in before you can comment on or make changes to this bug.